> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fear & Greed Index



## OpenAPI

````yaml openapi.json GET /gateway/v1/market/fear-greed
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/market/fear-greed:
    get:
      tags:
        - Market
      summary: Fear & Greed Index History
      description: >-
        Returns Bitcoin Fear & Greed Index history.


        **Included fields:** index value (0-100), classification label, BTC
        price at each data point.


        Sorted newest-first. Use `from`/`to` to filter by date range.
      operationId: market-fear-greed
      parameters:
        - description: >-
            Start of time range. Accepts Unix seconds or date string
            (YYYY-MM-DD)
          explode: false
          in: query
          name: from
          schema:
            description: >-
              Start of time range. Accepts Unix seconds or date string
              (YYYY-MM-DD)
            examples:
              - '2026-01-01'
            type: string
        - description: End of time range. Accepts Unix seconds or date string (YYYY-MM-DD)
          explode: false
          in: query
          name: to
          schema:
            description: >-
              End of time range. Accepts Unix seconds or date string
              (YYYY-MM-DD)
            examples:
              - '2026-03-01'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SimpleListResponseMarketFearGreedHistoryItem
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    SimpleListResponseMarketFearGreedHistoryItem:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://example.com/schemas/SimpleListResponseMarketFearGreedHistoryItem.json
          format: uri
          readOnly: true
          type: string
        data:
          items:
            $ref: '#/components/schemas/MarketFearGreedHistoryItem'
          type:
            - array
            - 'null'
        meta:
          $ref: '#/components/schemas/ObjectResponseMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    MarketFearGreedHistoryItem:
      additionalProperties: false
      properties:
        classification:
          description: >-
            Human-readable classification (Extreme Fear, Fear, Neutral, Greed,
            Extreme Greed)
          type: string
        price:
          description: BTC price in USD at this point in time
          format: double
          type: number
        timestamp:
          description: Unix timestamp in seconds for this data point
          format: int64
          type: integer
        value:
          description: >-
            Fear and Greed Index score from 0 (extreme fear) to 100 (extreme
            greed)
          format: int64
          type: integer
      required:
        - value
        - classification
        - price
        - timestamp
      type: object
    ObjectResponseMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
      required:
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object

````